# Uses of Interface
javax.naming.event.EventContext

Packages that use EventContext
Package
Description
javax.naming.event
Provides support for event notification when accessing naming and directory services.

- ## Uses of EventContext in javax.naming.event

  Subinterfaces of EventContext in javax.naming.event
  Modifier and Type
  Interface
  Description
  `interface`
  `EventDirContext`
  Contains methods for registering listeners to be notified of events fired when objects named in a directory context changes.
  Methods in javax.naming.event that return EventContext
  Modifier and Type
  Method
  Description
  `EventContext`
  NamingEvent.`getEventContext()`
  Retrieves the event source that fired this event.
  `EventContext`
  NamingExceptionEvent.`getEventContext()`
  Retrieves the `EventContext` that fired this event.
  Constructors in javax.naming.event with parameters of type EventContext
  Modifier
  Constructor
  Description
  ``
  `NamingEvent(EventContext source, int type, Binding newBd, Binding oldBd, Object changeInfo)`
  Constructs an instance of `NamingEvent`.
  ``
  `NamingExceptionEvent(EventContext source, NamingException exc)`
  Constructs an instance of `NamingExceptionEvent` using the context in which the `NamingException` was thrown and the exception that was thrown.